﻿
<style>
    .responsive {
        width: 100%;
        height: auto;
    }

    .emsg {
        color: red;
    }

    .hidden {
        visibility: hidden;
    }
</style>
<div class="container-fluid">
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-bookmark bg-blue"></i>
                    <div class="d-inline">
                        <h5>AddProduct</h5>
                        <span>เพิ่มหนังสือ</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="@Url.Action("Index","Home")">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">AddProduct</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">

            <div class="card" style="min-height: 600px;">
                <div class="card-body">

                    <form enctype="multipart/form-data" method="post">
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <label>Upload ปกหนังสือ</label>
                                <input type="file" name="file" id="file" multiple class="file-upload-default" accept="image/*" data-type='image'>
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" disabled="" placeholder="Upload Image">
                                    <span class="input-group-append">
                                        <button class="file-upload-browse btn btn-primary" type="button">Upload</button>
                                    </span>
                                </div>
                                <span class="text-red" id="errorFile"></span>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <img id="show" src="#" class="responsive" width="40" height="60" />
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <label for="ProductName">ชื่อหนังสือ</label>
                                <input type="text" class="form-control" name="ProductName" id="ProductName" placeholder="ชื่อหนังสือ" maxlength="20">
                                <span class="text-red" id="errorProductName"></span>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="CateID">แนวหนังสือ</label>
                                        <select class="form-control" id="CateID" name="CateID">
                                            <option value=0>- เลือก -</option>
                                            <option value=1>แฟนตาซี</option>
                                            <option value=2>ผจญภัย</option>
                                            <option value=3>สยองขวัญ</option>
                                        </select>
                                        <span class="text-red" id="errorCateID"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <label>Upload E-Book</label>
                                <input type="file" name="ebook" id="ebook" multiple class="file-upload-default" accept=".pdf">
                                <div class="input-group col-xs-12">
                                    <input type="text" class="form-control file-upload-info" disabled="" placeholder="Upload E-Book">
                                    <span class="input-group-append">
                                        <button class="file-upload-browse btn btn-instagram" type="button">Upload</button>
                                    </span>
                                </div>
                                <span class="text-red" id="errorEbook"></span>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <label for="ProductPrice">ราคา หนังสือ</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" id="ProductPrice" name="ProductPrice" placeholder="ราคา">
                                    <span class="input-group-append">
                                        <label class="input-group-text">$</label>
                                    </span>
                                </div>
                                <span class="text-red" id="errorProductPrice"></span>
                                <span class="text-red" id="errorNum"></span>
                            </div>
                        </div>
                        <div class="col-md-6 offset-md-3">
                            <div class="form-group">
                                <label for="ProductDetail">รายละเอียด หนังสือ</label>
                                <textarea class="form-control" id="ProductDetail" name="ProductDetail" rows="4"></textarea>
                                <span class="text-red" id="errorProductDetail"></span>
                            </div>
                            <div align="center">
                                <button type="button" class="btn btn-outline-success mr-2" id="upload"><i class="ik ik-plus"></i> เพิ่ม</button>
                                <a href="@Url.Action("Index","Home")" class="btn btn-outline-danger btn-rounded ">ยกเลิก</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


@*<form id='file-form'>
        <Label for="file">Attach Files:</Label>
        <Input type="file" name="files" id="fileTest" />
    </form>*@
@*<script src="~/src/js/vendor/jquery-3.3.1.min.js"></script>*@
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script src="~/js/DisplayImage.js"></script>
@*<script src="~/js/AddProduct.js"></script>*@
<script>
    var regexNumber = /^[0-9-+()]*$/;
    $('#ProductPrice').on('keypress keydown keyup', function () {
        if (!$(this).val().match(regexNumber)) {
             $('#errorNum').show();     
            $("#errorNum").html("กรุณาระบุตัวเลข");
        }
        else {
            $('#errorNum').hide();
        }
    });
</script>
<script>
    $(document).ready(function () {
        function isNullOrEmpty(s) {
            return (s == null || s === "" || s == undefined)
        }    
        $('#upload').on('click', function () {
            var ProductName = $("#ProductName").val();
            var CateID = $("#CateID").val();
            var ProductPrice = $("#ProductPrice").val();
            var ProductDetail = $("#ProductDetail").val();
            var file = $('#file')[0].files[0];
            var ebook = $('#ebook')[0].files[0];

            var fd = new FormData();
            fd.append('files', $('#file')[0].files[0]);
            fd.append('ebook', $('#ebook')[0].files[0]);
            fd.append('ProductName', ProductName);
            fd.append('CateID', CateID);
            fd.append('ProductDetail', ProductDetail);
            fd.append('ProductPrice', ProductPrice);

            

            if (isNullOrEmpty(ProductName) && CateID == 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                'use strict';
                resetToastPosition();
                $.toast({
                    heading: 'Error',
                    text: "กรุณาใส่ข้อมูลทุกช่อง",
                    showHideTransition: 'slide',
                    icon: 'error',
                    loaderBg: '#f2a654',
                    position: 'top-right'
                });
            }
            else if (!isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName) && CateID != 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID == 0 && !isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice)  && !isNullOrEmpty(ProductDetail)  && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice)  && isNullOrEmpty(ProductDetail) && !isNullOrEmpty(file)  && isNullOrEmpty(ebook) ) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && !isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("");
            }
            else if (isNullOrEmpty(ProductName ) && CateID == 0 && !isNullOrEmpty(ProductPrice) && !isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (!isNullOrEmpty(ProductName) && CateID != 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file) && isNullOrEmpty(ebook) ) {
                $("#errorProductName").html("");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName) && CateID != 0 && !isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && isNullOrEmpty(file)  && isNullOrEmpty(ebook) ) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (!isNullOrEmpty(ProductName )  && CateID == 0 && isNullOrEmpty(ProductPrice)  && !isNullOrEmpty(ProductDetail)  && isNullOrEmpty(file) && isNullOrEmpty(ebook) ) {
                $("#errorProductName").html("");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (!isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice)  && isNullOrEmpty(ProductDetail)  && isNullOrEmpty(file) && !isNullOrEmpty(ebook) ) {
                $("#errorProductName").html("");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("");
            }
            else if (!isNullOrEmpty(ProductName ) && CateID == 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail) && !isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID != 0 && isNullOrEmpty(ProductPrice)  && isNullOrEmpty(ProductDetail) && !isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID != 0 && isNullOrEmpty(ProductPrice) && isNullOrEmpty(ProductDetail)  && !isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (!isNullOrEmpty(ProductName ) && CateID != 0 && !isNullOrEmpty(ProductPrice)  && isNullOrEmpty(ProductDetail) == "" && isNullOrEmpty(file) && isNullOrEmpty(ebook)) {
                $("#errorProductName").html("");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("กรุณาระบุ รายละเอียดหนังสือ");
                $("#errorFile").html("กรุณาเพิ่มรูปปก");
                $("#errorEbook").html("กรุณาเพิ่มEbook");
            }
            else if (isNullOrEmpty(ProductName ) && CateID != 0 && !isNullOrEmpty(ProductPrice) && !isNullOrEmpty(ProductDetail) ) {
                $("#errorProductName").html("กรุณาระบุ ชื่อหนังสือ");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("");

            }
            else if (!isNullOrEmpty(ProductName )  && CateID == 0 && !isNullOrEmpty(ProductPrice)  && !isNullOrEmpty(ProductDetail) ) {
                $("#errorProductName").html("");
                $("#errorCateID").html("กรุณาระบุ แนวหนังสือ");
                $("#errorProductPrice").html("");
                $("#errorProductDetail").html("");
            }
            else if (!isNullOrEmpty(ProductName ) && CateID != 0 && isNullOrEmpty(ProductPrice) && !isNullOrEmpty(ProductDetail)) {
                $("#errorProductName").html("");
                $("#errorCateID").html("");
                $("#errorProductPrice").html("กรุณาระบุ ราคา หรือ ระบุเป็นตัวเลข");
                $("#errorProductDetail").html("");
            }
            else {
                $.ajax({
                    "async": true,
                    "crossDomain": true,
                    "url": "http://localhost:61944/api/v1/Product/InsertBook",
                    "method": "POST",
                    "processData": false,
                    "contentType": false,
                    "mimeType": "multipart/form-data",
                    "data": fd


                }).done(function (res) {

                    if (res == "Successbook") {

                        window.location.href = "/Home/Index";
                    }
                    else {
                        //window.location.href = "/Home/Index";
                        'use strict';
                        resetToastPosition();
                        $.toast({
                            heading: 'Error',
                            text: "ข้อมูลบ้างอย่างไม่ถูกต้อง",
                            showHideTransition: 'slide',
                            icon: 'error',
                            loaderBg: '#f2a654',
                            position: 'top-right'
                        });
                    }
                });
            }
        });
    });
</script>